NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.StyledSweepBuilder Class Reference

Represents a NXOpen.Features.StyledSweep builder More...

Inheritance diagram for NXOpen.Features.StyledSweepBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  FixedStringOptions { Guide, Section, GuideAndSection }
 This enum represents the Fixed String option More...
 
enum  ScalingMethodOptions { Uniform, Nonuniform, ScalingCurve }
 This enum represents the Scaling Method option More...
 
enum  SectionOrientationOptions {
  Translate, KeepAngle, MakeNormal, UserDefined,
  ArcLength
}
 This enum represents the Section Orientation option More...
 
enum  TransitionOptions { Linear, Cubic, Blend }
 This enum represents the Transition option More...
 
enum  Types { OneGuide, OneGuideOneTouch, OneGuideOneOrientation, TwoGuides }
 This enum represents the sweep type option (Number of Guides) More...
 

Public Member Functions

unsafe
NXOpen.GeometricUtilities.StyledSweepDoubleOnPathDimBuilder 
CreatePivotSet (double value1, double value2, NXOpen.Curve path1, NXOpen.Curve path2)
 Creates a new pivot set More...
 
unsafe
NXOpen.GeometricUtilities.RotationSetBuilder 
CreateRotationSet (double value, double pathPar, NXOpen.Curve path)
 Creates a new rotation set More...
 
unsafe
NXOpen.GeometricUtilities.ScalingSetBuilder 
CreateScalingSet (double valuePar, double depthPar, double pathPar, NXOpen.Curve path)
 Creates a new scaling set More...
 
unsafe void EndInsertingSection ()
 Ends inserting section. More...
 
unsafe void StartInsertingSection (double[] insertPnt)
 Starts inserting section. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int AlternateSolution [get, set]
 Returns or sets the alternate solution. More...
 
unsafe NXOpen.Section FirstGuide [get]
 Returns the first guide More...
 
unsafe
NXOpen.Features.StyledSweepBuilder.FixedStringOptions 
FixedStringOption [get, set]
 Returns or sets the fixed string option More...
 
unsafe double G0Tolerance [get, set]
 Returns or sets the G0 (Position) tolerance. More...
 
unsafe double G1Tolerance [get, set]
 Returns or sets the G1 (Tangent) tolerance. More...
 
unsafe
NXOpen.GeometricUtilities.Rebuild 
GuideRebuildData [get]
 Returns the guide rebuild data More...
 
unsafe NXOpen.SectionList InsertedSectionList [get]
 Returns the list of inserted sections More...
 
unsafe
NXOpen.GeometricUtilities.StyledSweepDoubleOnPathDimBuilderList 
PivotSetList [get]
 Returns the list of pivot sets More...
 
unsafe
NXOpen.GeometricUtilities.StyledSweepReferenceMethodBuilder 
ReferenceMethod [get]
 Returns the reference method More...
 
unsafe
NXOpen.GeometricUtilities.RotationSetBuilderList 
RotationSetList [get]
 Returns the list of rotation sets More...
 
unsafe NXOpen.Section ScalingCurve [get]
 Returns the scaling curve More...
 
unsafe
NXOpen.Features.StyledSweepBuilder.ScalingMethodOptions 
ScalingMethodOption [get, set]
 Returns or sets the scaling method option More...
 
unsafe
NXOpen.GeometricUtilities.ScalingSetBuilderList 
ScalingSetList [get]
 Returns the list of scaling sets More...
 
unsafe NXOpen.Section SecondGuide [get]
 Returns the second guide More...
 
unsafe NXOpen.SectionList SectionList [get]
 Returns the list of sections. More...
 
unsafe
NXOpen.Features.StyledSweepBuilder.SectionOrientationOptions 
SectionOrientationOption [get, set]
 Returns or sets the section orientation option More...
 
unsafe
NXOpen.GeometricUtilities.Rebuild 
SectionRebuildData [get]
 Returns the section rebuild data More...
 
unsafe
NXOpen.GeometricUtilities.SurfaceRangeBuilder 
SurfaceRange [get]
 Returns the surface range More...
 
unsafe
NXOpen.Features.StyledSweepBuilder.TransitionOptions 
TransitionOption [get, set]
 Returns or sets the transition option More...
 
unsafe
NXOpen.Features.StyledSweepBuilder.Types 
Type [get, set]
 Returns or sets the sweep type More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.StyledSweep builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateStyledSweepBuilder

Default values.

Property Value

FixedStringOption

Guide

GuideRebuildData.Degree

3

GuideRebuildData.RebuildType

None

ReferenceMethod.ReferenceOption

ToGuide

ScalingMethodOption

Uniform

SectionOrientationOption

KeepAngle

SectionRebuildData.Degree

3

SectionRebuildData.RebuildType

None

SurfaceRange.AnchorPosition

Vertex1

TransitionOption

Blend

Created in NX6.0.0

Member Enumeration Documentation

This enum represents the Fixed String option

Enumerator
Guide 

Guide

Section 

Section

GuideAndSection 

Guide and Section

This enum represents the Scaling Method option

Enumerator
Uniform 

Uniform

Nonuniform 

Non-Uniform

ScalingCurve 

Scaling Curve

This enum represents the Section Orientation option

Enumerator
Translate 

Translate

KeepAngle 

Keep Angle

MakeNormal 

Make Normal

UserDefined 

User Defined

ArcLength 

Arc Length

This enum represents the Transition option

Enumerator
Linear 

Linear

Cubic 

Cubic

Blend 

Blend

This enum represents the sweep type option (Number of Guides)

Enumerator
OneGuide 

1 Guide

OneGuideOneTouch 

1 Guide 1 Touch

OneGuideOneOrientation 

1 Guide 1 Orientation

TwoGuides 

2 Guides

Member Function Documentation

unsafe NXOpen.GeometricUtilities.StyledSweepDoubleOnPathDimBuilder NXOpen.Features.StyledSweepBuilder.CreatePivotSet ( double  value1,
double  value2,
NXOpen.Curve  path1,
NXOpen.Curve  path2 
)
inline

Creates a new pivot set

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
value1Point on section
value2Point on guide
path1The path of point on section
path2The path of point on guide
Returns
StyledSweepDoubleOnPathDimBuilder Object
unsafe NXOpen.GeometricUtilities.RotationSetBuilder NXOpen.Features.StyledSweepBuilder.CreateRotationSet ( double  value,
double  pathPar,
NXOpen.Curve  path 
)
inline

Creates a new rotation set

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
valueRotation angle
pathParRotation position
pathThe path of on path dim
Returns
RotationSetBuilder Object
unsafe NXOpen.GeometricUtilities.ScalingSetBuilder NXOpen.Features.StyledSweepBuilder.CreateScalingSet ( double  valuePar,
double  depthPar,
double  pathPar,
NXOpen.Curve  path 
)
inline

Creates a new scaling set

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
valueParScaling value
depthParDepth value
pathParDepth position
pathThe path of on path dim
Returns
ScalingSetBuilder Object
unsafe void NXOpen.Features.StyledSweepBuilder.EndInsertingSection ( )
inline

Ends inserting section.

The client should call this API whenever he finishes inserting a section.

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StyledSweepBuilder.StartInsertingSection ( double[]  insertPnt)
inline

Starts inserting section.

The client should call this API whenever he starts inserting a section. According to the insert point, the application automatically computes the closed point on the current surface, then extracts an iso curve to create a UG curve and add this curve into the section. Note: After the client calls this API, he needs to create a pivot set, a rotation set, a scaling set and a Section in turn, then he needs to insert them to the corresponding set list separately.

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
insertPntInsert point - the point on guide curve is better

Property Documentation

unsafe int NXOpen.Features.StyledSweepBuilder.AlternateSolution
getset

Returns or sets the alternate solution.

This property can be used only when Type is being set to 1 Guide/1 Guide 1 Touch/1 Guide 1 Orientation and orientation method is set to user_defined. For now, alternateSolution = 1, means automatically initial orientation, = 0, means no

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Section NXOpen.Features.StyledSweepBuilder.FirstGuide
get

Returns the first guide

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.StyledSweepBuilder.FixedStringOptions NXOpen.Features.StyledSweepBuilder.FixedStringOption
getset

Returns or sets the fixed string option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.StyledSweepBuilder.G0Tolerance
getset

Returns or sets the G0 (Position) tolerance.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.StyledSweepBuilder.G1Tolerance
getset

Returns or sets the G1 (Tangent) tolerance.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Rebuild NXOpen.Features.StyledSweepBuilder.GuideRebuildData
get

Returns the guide rebuild data

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SectionList NXOpen.Features.StyledSweepBuilder.InsertedSectionList
get

Returns the list of inserted sections

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.StyledSweepDoubleOnPathDimBuilderList NXOpen.Features.StyledSweepBuilder.PivotSetList
get

Returns the list of pivot sets

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.StyledSweepReferenceMethodBuilder NXOpen.Features.StyledSweepBuilder.ReferenceMethod
get

Returns the reference method

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.RotationSetBuilderList NXOpen.Features.StyledSweepBuilder.RotationSetList
get

Returns the list of rotation sets

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.StyledSweepBuilder.ScalingCurve
get

Returns the scaling curve

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.StyledSweepBuilder.ScalingMethodOptions NXOpen.Features.StyledSweepBuilder.ScalingMethodOption
getset

Returns or sets the scaling method option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.ScalingSetBuilderList NXOpen.Features.StyledSweepBuilder.ScalingSetList
get

Returns the list of scaling sets

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.StyledSweepBuilder.SecondGuide
get

Returns the second guide

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SectionList NXOpen.Features.StyledSweepBuilder.SectionList
get

Returns the list of sections.

At least 1 section is required.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.StyledSweepBuilder.SectionOrientationOptions NXOpen.Features.StyledSweepBuilder.SectionOrientationOption
getset

Returns or sets the section orientation option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Rebuild NXOpen.Features.StyledSweepBuilder.SectionRebuildData
get

Returns the section rebuild data

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.SurfaceRangeBuilder NXOpen.Features.StyledSweepBuilder.SurfaceRange
get

Returns the surface range

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.StyledSweepBuilder.TransitionOptions NXOpen.Features.StyledSweepBuilder.TransitionOption
getset

Returns or sets the transition option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StyledSweepBuilder.Types NXOpen.Features.StyledSweepBuilder.Type
getset

Returns or sets the sweep type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.